import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

// NY Times US rolling averages
// https://gist.githubusercontent.com/Nagateja99/164b0bec90a9e2a4d7fd7c07a2a8f155/raw/f9aee97f72308e463f64cc2e7407e0b347218ffe/covid.csv

const csvUrl = [
  'https://gist.githubusercontent.com/Nagateja99/164b0bec90a9e2a4d7fd7c07a2a8f155/raw/f9aee97f72308e463f64cc2e7407e0b347218ffe/covid.csv',
].join('');

// date,geoid,state,cases,cases_avg,cases_avg_per_100k,deaths,deaths_avg,deaths_avg_per_100k

const parseRow = (d) => {
  d.date = d.date;
  d.geoid = d.geoid;
  d.state = d.state;
  d.cases = +d.cases;
  d.cases_avg = +d.cases_avg;
  d.cases_avg_per_100k = +d.cases_avg_per_100k;
  d.deaths = +d.deaths;
  d.deaths_avg = +d.cadeaths_avgses;
  d.deaths_avg_per_100k = +d.deaths_avg_per_100k;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.deaths_avg_per_100k)
      .yValue((d) => d.cases_avg_per_100k)
      .margin({
        top: 20,
        right: 20,
        bottom: 40,
        left: 50,
      })
      .radius(5)
  );
};
main();
